# package-archetype

## Purpose

Packages a archetype as a zip archive which can then be installed a Griffon distribution

## Examples

    griffon package-archetype

## Description

Usage:

    griffon package-archetype

The archetype archive will be named with the convention `griffon-name-version.zip`. The name and version are obtained from the archetype descriptor (the Groovy class ending with the convention `GriffonArchetype.groovy`) in the root of the archetype directory. For example the following archetype:

    class SimpleGriffonArchetype {
    	def version = 0.1
    }

Will result in a zip archive called `griffon-simple-0.1.zip`, which can then be installed into an application with the install-archetype command.